# sgptools/models/__init__.py

"""Sensor placement and informative path planning methods in this package:

- `bo`: Provides a Bayesian optimization based approach that maximizes mutual-information to get sensor placements
- `cma_es`: Provides a genetic algorithm (CMA-ES) based approach that maximizes mutual-information to get sensor placements
- `continuous_sgp`: Provides an SGP-based sensor placement approach that is optimized using gradient descent
- `greedy_mi`: Provides a greedy algorithm based approach that maximizes mutual-information to get sensor placements
- `greedy_sgp`: Provides an SGP-based sensor placement approach that is optimized using a greedy algorithm
"""